package com.winsun.bean;

import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.IdType;

import java.util.Date;
import java.io.Serializable;

/**
 * (OrderView)实体类
 *
 * @author makejava
 * @since 2020-02-18 16:56:54
 */
@TableName("order_view")
public class OrderView implements Serializable {
    private static final long serialVersionUID = -61996751798804758L;
    /**
    * 设置主键自增
    */
    @TableId(value = "order_id", type = IdType.AUTO)
    private Integer orderId;
    /**
    * 订单号码
    */
    private String orderseq;
    /**
    * 产品名称
    */
    private String productname;
    /**
    * 套餐
    */
    private String orderSetMeal;
    /**
    * 学校
    */
    private String orderUniversityName;
    /**
    * 姓名
    */
    private String ordername;
    /**
    * 提交时间
    */
    private Date orderdate;
    /**
    * 订单状态
    */
    private String status;
    /**
    * 区域
    */
    private String orderRegion;
    /**
    * 支付平台：翼支付网厅|支付宝|微信
    */
    private String ipay;
    /**
    * 支付方式：电脑支付|手机WAY支付|微信扫码支付|公众号支付|支付宝扫码
    */
    private String paytype;
    /**
    * 产品价格
    */
    private String weborderamount;
    /**
    * 支付时间
    */
    private Date orderPaymentTime;
    /**
    * 穗易付订单号
    */
    private String orderreqtranseq;
    /**
    * 接入商
    */
    private String customerid;
    /**
    * 联系电话
    */
    private String orderphone;
    /**
    * 身份证号码
    */
    private String ordernumber;
    /**
    * 用户类别
    */
    private String orderCustomerType;
    /**
    * 学生证号
    */
    private String orderCustomerStudentId;
    /**
    * 备注
    */
    private String orderCustomerRemarks;
    /**
    * 多媒体账号
    */
    private String orderCustomerAccount;
    /**
    * 多媒体密码
    */
    private String orderCustomerPwd;
    /**
    * 支付平台流水号
    */
    private String uptranseq;
    /**
    * 用户显示的速率
    */
    private String expenses;
    /**
    * 预留字段2
    */
    private String orderRf2;
    /**
    * 智能平台订单号
    */
    private String orderseqthd;


    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public String getOrderseq() {
        return orderseq;
    }

    public void setOrderseq(String orderseq) {
        this.orderseq = orderseq;
    }

    public String getProductname() {
        return productname;
    }

    public void setProductname(String productname) {
        this.productname = productname;
    }

    public String getOrderSetMeal() {
        return orderSetMeal;
    }

    public void setOrderSetMeal(String orderSetMeal) {
        this.orderSetMeal = orderSetMeal;
    }

    public String getOrderUniversityName() {
        return orderUniversityName;
    }

    public void setOrderUniversityName(String orderUniversityName) {
        this.orderUniversityName = orderUniversityName;
    }

    public String getOrdername() {
        return ordername;
    }

    public void setOrdername(String ordername) {
        this.ordername = ordername;
    }

    public Date getOrderdate() {
        return orderdate;
    }

    public void setOrderdate(Date orderdate) {
        this.orderdate = orderdate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getOrderRegion() {
        return orderRegion;
    }

    public void setOrderRegion(String orderRegion) {
        this.orderRegion = orderRegion;
    }

    public String getIpay() {
        return ipay;
    }

    public void setIpay(String ipay) {
        this.ipay = ipay;
    }

    public String getPaytype() {
        return paytype;
    }

    public void setPaytype(String paytype) {
        this.paytype = paytype;
    }

    public String getWeborderamount() {
        return weborderamount;
    }

    public void setWeborderamount(String weborderamount) {
        this.weborderamount = weborderamount;
    }

    public Date getOrderPaymentTime() {
        return orderPaymentTime;
    }

    public void setOrderPaymentTime(Date orderPaymentTime) {
        this.orderPaymentTime = orderPaymentTime;
    }

    public String getOrderreqtranseq() {
        return orderreqtranseq;
    }

    public void setOrderreqtranseq(String orderreqtranseq) {
        this.orderreqtranseq = orderreqtranseq;
    }

    public String getCustomerid() {
        return customerid;
    }

    public void setCustomerid(String customerid) {
        this.customerid = customerid;
    }

    public String getOrderphone() {
        return orderphone;
    }

    public void setOrderphone(String orderphone) {
        this.orderphone = orderphone;
    }

    public String getOrdernumber() {
        return ordernumber;
    }

    public void setOrdernumber(String ordernumber) {
        this.ordernumber = ordernumber;
    }

    public String getOrderCustomerType() {
        return orderCustomerType;
    }

    public void setOrderCustomerType(String orderCustomerType) {
        this.orderCustomerType = orderCustomerType;
    }

    public String getOrderCustomerStudentId() {
        return orderCustomerStudentId;
    }

    public void setOrderCustomerStudentId(String orderCustomerStudentId) {
        this.orderCustomerStudentId = orderCustomerStudentId;
    }

    public String getOrderCustomerRemarks() {
        return orderCustomerRemarks;
    }

    public void setOrderCustomerRemarks(String orderCustomerRemarks) {
        this.orderCustomerRemarks = orderCustomerRemarks;
    }

    public String getOrderCustomerAccount() {
        return orderCustomerAccount;
    }

    public void setOrderCustomerAccount(String orderCustomerAccount) {
        this.orderCustomerAccount = orderCustomerAccount;
    }

    public String getOrderCustomerPwd() {
        return orderCustomerPwd;
    }

    public void setOrderCustomerPwd(String orderCustomerPwd) {
        this.orderCustomerPwd = orderCustomerPwd;
    }

    public String getUptranseq() {
        return uptranseq;
    }

    public void setUptranseq(String uptranseq) {
        this.uptranseq = uptranseq;
    }

    public String getExpenses() {
        return expenses;
    }

    public void setExpenses(String expenses) {
        this.expenses = expenses;
    }

    public String getOrderRf2() {
        return orderRf2;
    }

    public void setOrderRf2(String orderRf2) {
        this.orderRf2 = orderRf2;
    }

    public String getOrderseqthd() {
        return orderseqthd;
    }

    public void setOrderseqthd(String orderseqthd) {
        this.orderseqthd = orderseqthd;
    }

}